Distribution:   CCux Linux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		SDL_mixer
Version:	1.2.8
Release:	1	
Provides:	%{name}
License:	LGPL 
URL:		http://www.libsdl.org/projects/SDL_mixer/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	SDL_mixer is a simple multi-channel audio mixer.
BuildRequires:	SDL-devel

%description
SDL_mixer is a simple multi-channel audio mixer.
It supports 4 channels of 16 bit stereo audio, plus a single channel
of music, mixed by the popular MikMod MOD, Timidity MIDI and SMPEG MP3
libraries.
For more details see: http://www.libsdl.org/projects/SDL_mixer/

%package	devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure \
--prefix=%_prefix \
--disable-dependency-tracking
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
# stripping package
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%doc README CHANGES COPYING
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jan 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.2.8-1
- Version update
* Wed Jul 05 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.7-3
- rebuilt against SDL 1.2.11
* Sun May 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.7-2
- rebuilt against SDL 1.2.10
* Thu May 18 2006 Christian Wasem <wasem@ccux-linux.de> 1.2.7-1
- Update to Version 1.2.7
* Fri Nov 25 2005 Christian Wasem <wasem@ccux-linux.de> 1.2.6-2
- rebuilt, removed wrong Obsoletes-Tag
* Wed Apr 13 2005 Christian Wasem <wasem@ccux-linux.de> - 1.2.6-1
- Update to Version 1.2.6  
